commit:     b9785d1d6bcf56b6ab16efbd102b2b5ac2187c92
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 27 21:42:12 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 28 11:16:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9785d1d

dev-util/buildbot: add 3.4.0, enable py3.10, cleanup

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/buildbot/Manifest              |   1 +
 dev-util/buildbot/buildbot-3.4.0.ebuild | 177 ++++++++++++++++++++++++++++++++
 2 files changed, 178 insertions(+)

diff --git a/dev-util/buildbot/Manifest b/dev-util/buildbot/Manifest
index 3fd48216350f..fc618f8f8586 100644
--- a/dev-util/buildbot/Manifest
+++ b/dev-util/buildbot/Manifest
@@ -8,3 +8,4 @@ DIST buildbot-3.1.0.tar.gz 2229027 BLAKE2B 
27eaed470f18c4fe8cae1730ca92918352518
 DIST buildbot-3.1.1.tar.gz 2229124 BLAKE2B 
c384b897a5f8816b7d6a52070cb1cce7e9b70d41a5837990af3474d3063a4906600f82c1bc6e6c48d826ac1f95dc36dcc15ebca10c9249615d25f547e0216dad
 SHA512 
4f4194fab83bb80cff15366fb6461624b75c5a2d0e473ac9cb6a8abb372ccd7ee9208a944f198d874e8cd1a87358239ba3e8314d54ef35a641ff83510c48de37
 DIST buildbot-3.2.0.tar.gz 2245261 BLAKE2B 
ccb1dc5e6a6bf5c9e06a7b05cc1baa605b09cf65ad4f9beff2a40e9f52a3065363960a990c288ed181cc5cc5cf5af1ce06dd4df561ddfe9819165ebe32760887
 SHA512 
5730126786880eb48da140cbbaaac2df95e6d04d22268fb305c1a228969bd096cd18959779f6101af73c41fecb07a7c1e2bb276271bede53989323a46fb06962
 DIST buildbot-3.3.0.tar.gz 2255464 BLAKE2B 
9b4cfdd948bdf4b183dc45973f26b41ec5b390740c92f3b29c460c8fba4f35b71eaf848b026b21e1ba1e213b18d6d91e3736b69aa8c3e6dbb847b04b644e2c54
 SHA512 
da0d26257964df40a470b00e2cd0f3f2230d3224bf8ae7c2b896fc8ec739e5d3ce7988ab07f6c66dcb13b0d4b6916e839f53a025cac637ccd4bcd3f442e12b1d
+DIST buildbot-3.4.0.tar.gz 2446868 BLAKE2B 
a58b268fd4569105f1c0ba48c9ed86210a3fee4725f167d6b6847960bbb56a092d0c0db427ecf5932a91d44065da8843fbb4046d289800a019b0b1d8b1f53fea
 SHA512 
92e5085862ac37a6c3c059870a3998fbaac2019c48384295f3e209788ea14bddff6704f1b987a8f3b1550c1b0255d228f8a0b2a20b5cb760b22a513db465863b

diff --git a/dev-util/buildbot/buildbot-3.4.0.ebuild 
b/dev-util/buildbot/buildbot-3.4.0.ebuild
new file mode 100644
index 000000000000..b06b7fb40d3f
--- /dev/null
+++ b/dev-util/buildbot/buildbot-3.4.0.ebuild
@@ -0,0 +1,177 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python3_{8..10} )
+inherit readme.gentoo-r1 systemd distutils-r1
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="BuildBot build automation system"
+HOMEPAGE="https://buildbot.net/
+       https://github.com/buildbot/buildbot
+       https://pypi.org/project/buildbot/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~amd64-linux ~x86-linux"
+
+IUSE="crypt docker examples irc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       acct-user/buildbot
+       >=dev-python/twisted-17.9.0[${PYTHON_USEDEP},crypt?]
+       >=dev-python/jinja-2.1[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-4.1.1[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-1.2.0[${PYTHON_USEDEP}]
+       <dev-python/sqlalchemy-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/alembic-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-1.5[${PYTHON_USEDEP}]
+       >=dev-python/txaio-2.2.2[${PYTHON_USEDEP}]
+       >=dev-python/autobahn-0.16.0[${PYTHON_USEDEP}]
+       dev-python/pyjwt[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-worker-${PV}[${PYTHON_USEDEP}]
+       crypt? (
+               >=dev-python/pyopenssl-16.0.0[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+       )
+       irc? (
+               dev-python/txrequests[${PYTHON_USEDEP}]
+       )
+       docker? (
+               >=dev-python/docker-py-2.2.0[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+       )
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/treq[${PYTHON_USEDEP}]
+               dev-python/txrequests[${PYTHON_USEDEP}]
+               dev-python/pypugjs[${PYTHON_USEDEP}]
+               >=dev-python/boto3-1.12.48[${PYTHON_USEDEP}]
+               dev-python/moto[${PYTHON_USEDEP}]
+               >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+               dev-python/parameterized[${PYTHON_USEDEP}]
+               dev-python/lz4[${PYTHON_USEDEP}]
+               dev-python/ldap3[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-pkg-${PV}[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-worker-${PV}[${PYTHON_USEDEP}]
+               ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
+       )"
+
+DOC_CONTENTS="The \"buildbot\" user and the \"buildmaster\" init script has 
been added
+to support starting buildbot through Gentoo's init system. To use this,
+execute \"emerge --config =${CATEGORY}/${PF}\" to create a new instance.
+The scripts can        run as a different user if desired."
+
+src_prepare() {
+       # disable all warnings as errors
+       sed -e "/warnings.filterwarnings('error')/d" -i 
buildbot/test/__init__.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       distutils_install_for_testing
+       "${EPYTHON}" -m twisted.trial buildbot || die "Tests failed with 
${EPYTHON}"
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       doman docs/buildbot.1
+
+       if use examples; then
+               dodoc -r docs/examples
+       fi
+
+       newconfd "${FILESDIR}/buildmaster.confd" buildmaster
+       newinitd "${FILESDIR}/buildmaster.initd" buildmaster
+       systemd_dounit "${FILESDIR}/buildmaster.target"
+       systemd_newunit "${FILESDIR}/buildmaster_at.service" 
"[email protected]"
+       systemd_install_serviced "${FILESDIR}/buildmaster_at.service.conf" 
"[email protected]"
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               ewarn
+               ewarn "Starting with buildbot-0.8.12-r2, more than one instance 
of buildmaster"
+               ewarn "can be run simultaneously. Note that \"BASEDIR\" in the 
buildbot configuration file"
+               ewarn "is now the common base directory for all instances. If 
you are migrating from an older"
+               ewarn "version, make sure that you copy the current contents of 
\"BASEDIR\" to a subdirectory."
+               ewarn "The name of the subdirectory corresponds to the name of 
the buildmaster instance."
+               ewarn "In order to start the service running OpenRC-based 
systems need to link to the init file:"
+               ewarn "    ln --symbolic --relative /etc/init.d/buildmaster 
/etc/init.d/buildmaster.myinstance"
+               ewarn "    rc-update add buildmaster.myinstance default"
+               ewarn "    /etc/init.d/buildmaster.myinstance start"
+               ewarn "Systems using systemd can do the following:"
+               ewarn "    systemctl enable [email protected]"
+               ewarn "    systemctl enable buildmaster.target"
+               ewarn "    systemctl start buildmaster.target"
+               elog
+               elog "Upstream recommends the following when upgrading:"
+               elog "Each time you install a new version of Buildbot, you 
should run the"
+               elog "\"buildbot upgrade-master\" command on each of your 
pre-existing build masters."
+               elog "This will add files and fix (or at least detect) 
incompatibilities between"
+               elog "your old config and the new code."
+       fi
+       elog
+       elog "In order to create a new instance of buildmaster, execute:"
+       elog "    emerge --config =${CATEGORY}/${PF}"
+}
+
+pkg_config() {
+       local buildmaster_path="/var/lib/buildmaster"
+       local log_path="/var/log/buildmaster"
+
+       einfo "This will prepare a new buildmaster instance in 
${buildmaster_path}."
+       einfo "Press Control-C to abort."
+
+       einfo "Enter the name for the new instance: "
+       read instance_name
+       [[ -z "${instance_name}" ]] && die "Invalid instance name"
+
+       local instance_path="${buildmaster_path}/${instance_name}"
+       local instance_log_path="${log_path}/${instance_name}"
+
+       if [[ -e "${instance_path}" ]]; then
+               eerror "The instance with the specified name already exists:"
+               eerror "${instance_path}"
+               die "Instance already exists"
+       fi
+
+       local buildbot="/usr/bin/buildbot"
+       if [[ ! -d "${buildmaster_path}" ]]; then
+               mkdir --parents "${buildmaster_path}" || die "Unable to create 
directory ${buildmaster_path}"
+       fi
+       "${buildbot}" create-master "${instance_path}" &>/dev/null || die 
"Creating instance failed"
+       chown --recursive buildbot:buildbot "${instance_path}" || die "Setting 
permissions for instance failed"
+       mv "${instance_path}/master.cfg.sample" "${instance_path}/master.cfg" \
+               || die "Moving sample configuration failed"
+       ln --symbolic --relative "/etc/init.d/buildmaster" 
"/etc/init.d/buildmaster.${instance_name}" \
+               || die "Unable to create link to init file"
+
+       if [[ ! -d "${instance_log_path}" ]]; then
+               mkdir --parents "${instance_log_path}" || die "Unable to create 
directory ${instance_log_path}"
+               chown --recursive buildbot:buildbot "${instance_log_path}" \
+                       || die "Setting permissions for instance failed"
+       fi
+       ln --symbolic --relative "${instance_log_path}/twistd.log" 
"${instance_path}/twistd.log" \
+               || die "Unable to create link to log file"
+
+       einfo "Successfully created a buildmaster instance at ${instance_path}."
+       einfo "To change the default settings edit the master.cfg file in this 
directory."
+}

Reply via email to